import sqlalchemy as sa

from core import utils
from controllers.base import BaseController
from db.conf import get_session
from db.database import Database
from db.models.post import PostModel

from template_engine.jinja import env


class PostsController(BaseController):
    def get_list(self):
        tmp = env.get_template('posts/list.html')
        posts = self.session.query(PostModel).all()

        body = tmp.render(posts=posts)

        self.response.add_header('Content-Type', 'text/html')
        self.response.set_body(body)

    def new(self):
        tmp = env.get_template('posts/create.html')
        body = tmp.render(id=next(utils.id_gen))

        self.response.add_header('Content-Type', 'text/html')
        self.response.set_body(body)

    def create(self):
        # Database.add(self.request.body)
        # INSERT INTO posts values ()
        # stmt = sa.insert(PostModel).values([self.request.body])
        # resp = self.session.execute(stmt)

        post = PostModel(**self.request.body)
        self.session.add(post)
        self.session.commit()

        self.response.add_header('Content-Type', 'text/html')
        self.response.set_status(301)
        self.response.add_header('Location', '/posts')
        self.response.set_body('<a href="/posts"">Back to posts list</a>')
