from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker, scoped_session
from sqlalchemy.ext.declarative import declarative_base


engine = create_engine("sqlite:///articles.db", echo=True)

session = sessionmaker(bind=engine)
current_session = scoped_session(session)

BaseModel = declarative_base()


def create_tables():
    BaseModel.metadata.create_all(engine)


def get_session():
    try:
        return current_session

    finally:
        current_session.close()
