from controllers.pages import PagesController
from controllers.posts import PostsController
from db.conf import create_tables, current_session
from src.router import Router
from src.server import runserver

config = {
    'host': 'localhost',
    'port': 1025,
    'static': 'static'
}

router = Router()
router.get('/', PagesController, 'home')
router.get('/about-us', PagesController, 'about_us')
router.get('/posts', PostsController, 'get_list')
router.post('/posts', PostsController, 'create')
router.get('/posts/new', PostsController, 'new')

create_tables()

# current_session.close_all()

runserver(router, config)
